*************
train package
*************

The Train Package handles the Model and Trainer plugins for training models in Faceswap.


.. contents:: Contents
   :local:

model package
=============

This package contains various helper functions that plugins can inherit from

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:

   ~plugins.train.model._base.model
   ~plugins.train.model._base.settings
   ~plugins.train.model._base.io

model._base.model module
------------------------

.. automodule:: plugins.train.model._base.model
   :members:
   :undoc-members:
   :show-inheritance:

model._base.settings module
---------------------------

.. automodule:: plugins.train.model._base.settings
   :members:
   :undoc-members:
   :show-inheritance:

model._base.io module
---------------------

.. automodule:: plugins.train.model._base.io
   :members:
   :undoc-members:
   :show-inheritance:

model.original module
----------------------

.. automodule:: plugins.train.model.original
   :members:
   :undoc-members:
   :show-inheritance:

trainer package
===============

trainer._base module
----------------------

.. automodule:: plugins.train.trainer._base
   :members:
   :undoc-members:
   :show-inheritance:
